# Multi Half Bridge Library

![arduino build](https://github.com/Infineon/multi-half-bridge/actions/workflows/arduino_ci.yml/badge.svg)

C++ library of Infineon's Multi Half-Bridge IC controllers.

## Supported Products

<table>
    <tr>
        <td><img src="https://github.com/Infineon/Assets/raw/master/Pictures/TLE94112EL_Shield.png" width=200></td>
        <td><img src="https://github.com/Infineon/Assets/raw/master/Pictures/tle94112_hat_Raspberry_Pi.png" width=200></td>
        <td><img src="https://www.infineon.com/export/sites/default/_images/product/power/motor_control_ics/TLE94112ES_TSDSO-24-51_Combi.jpg_1867607890.jpg" width=200></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/Ino-Getting-Started">DC motor control shield with TLE94112EL for Arduino</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/RPi-Getting-Started">DC motor control HAT with TLE94112ES for Raspberry Pi</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/Home">TLE94112ES / TLE94112EL</a></td>
    </tr>
</table>

## Supported Frameworks

<table>
    <tr>
        <td><img src="https://github.com/infineon/multi-half-bridge/wiki/img/arduino-logo.png" width=200></td>
        <td><img src="https://github.com/infineon/multi-half-bridge/wiki/img/wiced-logo.png" width=200></td>
        <td><img src="https://github.com/infineon/multi-half-bridge/wiki/img/rpi-logo.png" width=200></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/Arduino-API">Arduino API</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/WICED-API">WICED API</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/RPi-API">RPi API</a><br><a href="https://github.com/Infineon/multi-half-bridge/wiki/Py-API">RPi Python API</a></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/Ino-Getting-Started">Getting Started</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/CW-Getting-Started">Getting Started</a></td>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/RPi-Getting-Started">Getting Started C++</a><br><a href="https://github.com/Infineon/multi-half-bridge/wiki/Py-Getting-Started">Getting Started Python</a></td>
    </tr>
</table>

<table>
    <tr>
        <td><img src="https://github.com/infineon/multi-half-bridge/wiki/img/cross-platform.png" width=200></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/TLE94112-API/">TLE94112 API</a><br><a href="https://github.com/Infineon/multi-half-bridge/wiki/TLE94112Motor-API">TLE94112Motor API</a></td>
    </tr>
    <tr>
        <td style="text-align: center"><a href="https://github.com/Infineon/multi-half-bridge/wiki/Porting-Guide">Porting Guide</a></td>
    </tr>
</table>

## More Information
The complete library and project documentation can be found in the [Wiki](https://github.com/Infineon/multi-half-bridge/wiki/Home).

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.